#ifndef VSIZEARRAY_H
#define VSIZEARRAY_H

#if __GNUC__ >=3
#define VSIZEARRAY(type, name, size) type name[size]
#define VSIZEARRAY_PTR(name) name
#else
#include <boost/scoped_array.hpp>
#define VSIZEARRAY(type, name, size) boost::scoped_array<type> name(new type[size]);
#define VSIZEARRAY_PTR(name) name.get()
#endif

#endif
