/***************************************************************************
 *   Copyright (C) 2007 by Sascha Klueppelholz                             *
 *   klueppel@tcs.inf.tu-dresden.de                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/**
@author Sascha Klueppelholz
*/

#include "streamlistener.hpp"
#include <iostream>

using namespace std;

streamListener::streamListener(ostream* o){
  os=o;
}

bool streamListener::updateProgress(const double progress, const string& status) const{
  if (os){
    (*os) << status;
    if (progress) (*os) << ": " << progress*100 << "%";
    (*os) << endl;
  }
  return (os!=NULL);
}
