#ifndef BDD_PARITY_ACCEPTANCE_HPP
#define BDD_PARITY_ACCEPTANCE_HPP

#include "VarManagerG4G.hpp"

struct BDD_ParityAcceptance {
  typedef boost::shared_ptr<BDD_ParityAcceptance> ptr;
  
  unsigned int countColors() const {
    return accepting_parity.size();
  }
  
  BDDFunction getColor(unsigned int index) {
    return accepting_parity.at(index);
  }

  unsigned int addColor(const BDDFunction& color) {
    accepting_parity.push_back(color);
    return accepting_parity.size();
  }

  std::vector<BDDFunction> accepting_parity;
};

#endif
