/***************************************************************************
 *   Copyright (C) 2008-2009 by Joachim Klein                              *
 *   vereofy@tcs.inf.tu-dresden.de                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "LTL_Parser.hpp"
#include "ltl/LTLPrefixParser.hpp"
#include "ltl/LTLInfixParser.hpp"

namespace vereofy {

using namespace std;
using namespace ltl_check;

  Specification::ptr LTL_Parser::parse(const string& formula,
                                       SystemContext::ptr system_context, 
                                       ComponentInterface::ptr system_interface) const {
  LTLFormula_ptr ltl=LTLInfixParser::parse(formula);
  
  return Specification::ptr(new LTL_Specification(ltl));
}

}
