#include <add/addfunction.h>
#include <add/add.h>

#include <string>
#include <iostream>

using namespace std;

int main(void){
  ADDFunction one=ADDFunction::ONE();
  ADDFunction zero=ADDFunction::ZERO();
  cout << ADD::size() << endl;
  cout << ADD::variableOrdering.getVariableOrdering() << endl;
  ADDFunction other(string("x"));
  ADDFunction other2(string("y"));
  ADDFunction other3(string("z"));
  cout << ADD::variableOrdering.getVariableOrdering() << endl;
  cout << one.size() << endl;
  cout << zero.size() << endl;
  cout << other.size() << endl;
  cout << other2.size() << endl;
  cout << (other&other2&other3).size() << endl;
  cout << one.getFirstVariable() << endl;
  cout << zero.getFirstVariable() << endl;
  cout << other.getFirstVariable() << endl;
  cout << other2.getFirstVariable() << endl;
  cout << (other&(!other2|other2)&other3).getFirstVariable() << endl;
  cout << ADD::size() << endl;
  ADD::garbageCollect();
  cout << ADD::size() << endl;
  char buffer[4]="0-1";
  ADDFunction temp(buffer);
  temp.printPaths();
  cout << temp.countAssignments() << endl;
  cout << "############" << endl;
  other.printPaths();
  (other&(!other2|other2)&other3).printPaths();
  (!other2|other2).printPaths();
  (other&other2&other3).printPaths();
}
