/***************************************************************************
                           randomhelper.h  -  description
                             -------------------
    begin                : Sun Jun 6 2004
    copyright            : (C) 2004 by Wolfgang Lenders, Joern Ossowski
    email                : {lenders,ossowski}@cs.uni-bonn.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef RANDOM_HELPER_H
#define RANDOM_HELPER_H

#include <climits>

class RandomHelper{
public:
  RandomHelper(void);
  ~RandomHelper(void);

  static unsigned long getULong(const unsigned long=ULONG_MAX);
  static void getULongs(unsigned long& , unsigned long& , const unsigned long=ULONG_MAX);
  static double getDouble(const double=1.0);
  static double getUDouble(const double=1.0);
  static bool getBool(void);
private:
  static bool initialized;

  void init(void);
};

#endif
