/***************************************************************************
                          configreader.h  -  description
                             -------------------
    begin                : Fri Apr 21 2006
    copyright            : (C) 2006 by Joern Ossowski
    email                : ossowski@cs.uni-bonn.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONFIG_READER_H
#define CONFIG_READER_H

#include <string>
#include <map>


class ConfigReader{
public:
	ConfigReader(const std::string&);
  unsigned long getULong(const std::string&, const unsigned long);
  float getFloat(const std::string&, const float);
  double getDouble(const std::string&, const double);
private:
  std::map<std::string,std::string> valueMap;

  void readConfigFile(const std::string&);
};

#endif
