#ifndef BDD_STREETT_ACCEPTANCE_HPP
#define BDD_STREETT_ACCEPTANCE_HPP

#include "BDD_StreettPair.hpp"

// disjunction of BDD_StreettPairs
struct BDD_StreettAcceptance {

  typedef boost::shared_ptr<BDD_StreettAcceptance> ptr;
  
  unsigned int countPairs() const {
    return pairs.size();
  }
  
  BDD_StreettPair& getPair(unsigned int index)  {
    return pairs.at(index);
  }

  const BDD_StreettPair& getPair(unsigned int index) const {
    return pairs.at(index);
  }

  void addPair(const BDD_StreettPair& pair) {
    pairs.push_back(pair);
  }
  
  std::vector<BDD_StreettPair> pairs;
};

#endif
