#ifndef LTL2DSTAR_HPP
#define LTL2DSTAR_HPP

#include "vereofy/modelcheck/specifications/ltl/LTLFormula.hpp"
#include "ext/ltl2dstar/Automaton.hpp"

namespace vereofy {

class LTL2DSTAR {
public:
  typedef ltl2dstar::Automaton::ptr DA_ptr;

  static DA_ptr ltl2da(ltl_check::LTLFormula_ptr ltl,
                       const std::string &path,
                       const std::vector<std::string> &params);    

};

}

#endif
