/***************************************************************************
 *   Copyright (C) 2011 by Joachim Klein                                   *
 *   vereofy@tcs.inf.tu-dresden.de                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef COMMON_PARSER_HELPER_HPP
#define COMMON_PARSER_HELPER_HPP

#include "parser_helper.hpp"
#include "vereofy/common/errors.hpp"

namespace vereofy {
namespace vparser {

struct common_helper {

  struct t_parameter_def : public t_generic_list {
    
    static vector<string> getIdentifiers(const pt_node& n) {
      vector<string> result;
      for (unsigned int i=0;i<countChildren(n);i++) {
        result.push_back(identifier_helper::t_identifier::getIdentifier(n.children.at(i)));
      }
      return result;
    }
    
  };

};


}
}

#endif
