/***************************************************************************
 *   Copyright (C) 2008-2009 by Joachim Klein                              *
 *   vereofy@tcs.inf.tu-dresden.de                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "reo_parser_types.hpp"

#include "vereofy/system/reactive_module/symb_ca_reactive_module.hpp"

using namespace vereofy;

// define static types for simple ValueTypes
ValueType::ptr ValueType::INT=ValueType::ptr(new ValueType(VALUE_TYPE_INT));
ValueType::ptr ValueType::BOOL=ValueType::ptr(new ValueType(VALUE_TYPE_BOOL));
ValueType::ptr ValueType::NODE_REF=ValueType::ptr(new ValueType(VALUE_TYPE_NODE_REF));
ValueType::ptr ValueType::CHANNEL_END_REF=ValueType::ptr(new ValueType(VALUE_TYPE_CHANNEL_END_REF));
