/**************************************************************************
*   Copyright (C) 2008-2009 by Johannes Osterholzer                       *
*   s5892660@inf.tu-dresden.de                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#ifndef _HELPER_H_
#define _HELPER_H_

#include <boost/spirit/home/classic.hpp>
#include <boost/spirit/home/classic/tree/ast.hpp>
#include <boost/spirit/home/classic/tree/common.hpp>
#include <boost/spirit/home/classic/tree/tree_to_xml.hpp>
#include <boost/smart_ptr.hpp>
#include <boost/spirit/home/classic/iterator.hpp>

#include <cctype>

using namespace std;
using namespace boost::spirit::classic;

// helper function for parsing
node_val_data<>::const_iterator_t eatSpaces(const node_val_data<>::const_iterator_t&, const node_val_data<>::const_iterator_t&);

#endif /* _HELPER_H_ */
